import java.lang.*;

/**
 * An exception to be thrown by the functional iterator
 * (Should not happen)
 * 
 * @author Viera K. Proulx
 */
public class IllegalUseOfTraversalException extends Exception {

  /**
   * 
   */
  public IllegalUseOfTraversalException() {
    super();
  }

  /**
   * @param arg0
   */
  public IllegalUseOfTraversalException(String arg0) {
    super(arg0);
  }

  /**
   * @param arg0
   * @param arg1
   */
  public IllegalUseOfTraversalException(String arg0, Throwable arg1) {
    super(arg0, arg1);
  }

  /**
   * @param arg0
   */
  public IllegalUseOfTraversalException(Throwable arg0) {
    super(arg0);
  }

}
