/**
 * interface for the <code>same</code> method: used for equality comparison
 * @author Viera K. Proulx
 *
 */
    public interface ISame<T>{
	/**
     * determine whether the this objects represent the same information
     * as the given one
     * @param t the given object of the type <code>T</code>
     * @return true if the object t represents the same 
     * information as <code> this</code>. 
	 */
	public boolean same(T t);
}